App\Library\Amazon\Classes\Shoes\VariationDataAType:
    properties:
        parentage:
            expose: true
            access_type: public_method
            serialized_name: Parentage
            accessor:
                getter: getParentage
                setter: setParentage
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        variationTheme:
            expose: true
            access_type: public_method
            serialized_name: VariationTheme
            accessor:
                getter: getVariationTheme
                setter: setVariationTheme
            type: string
